%global githash 3017160f847564879520c564b4bb04abb7b680fe


Name:           signpost-core
Version:        1.2.1.2
Release:        15%{?dist}
Summary:        A simple, light-weight, and modular OAuth client library for the Java platform

License:        ASL 2.0
URL:            https://github.com/mttkay/signpost
Source0:        https://github.com/mttkay/signpost/archive/%{githash}/signpost-%{githash}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch 
BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpcore)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.mockito:mockito-core)

%description
Signpost is the easy and intuitive solution for signing HTTP messages on the 
Java platform in conformance with the OAuth Core 1.0a standard. 
Signpost follows a modular and flexible design, allowing you to combine it with
different HTTP messaging layers

%package -n oauth-signpost
Summary:        Parent POM for %{name}

%description -n oauth-signpost
This package contains the Parent POM for %{name}.

%package -n signpost-commonshttp4
Summary:        Signpost Apache HttpClient Supports

%description -n signpost-commonshttp4
Signpost Apache HttpClient Supports.
 
%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n signpost-%{githash}

# Remove pre-built JAR and class files
find -name '*.jar' -delete
find -name '*.class' -delete

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

# Unneeded modules
%pom_disable_module signpost-jetty6

# Resolve javadoc doclint problems
%pom_remove_plugin :maven-javadoc-plugin
# Unneeded task
%pom_remove_plugin -r :maven-antrun-plugin

%mvn_file :%{name} %{name}
%mvn_file :signpost-commonshttp4 signpost-commonshttp4

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.markdown
%license LICENSE

%files -n oauth-signpost -f .mfiles-oauth-signpost
%license LICENSE

%files -n signpost-commonshttp4 -f .mfiles-signpost-commonshttp4

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Oct 30 2016 gil cattaneo <puntogil@libero.it> 1.2.1.2-12
- enable signpost-commonshttp4
- minor changes to adapt to current guideline

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 26 2015 Cédric OLIVIER <cedric.olivier@free.fr> - 1.2.1.2-10
- Apply bugfix comment 6-7 in rhbz#1240004

* Sun Jul 19 2015 gil cattaneo <puntogil@libero.it> 1.2.1.2-9
- fix FTBFS rhbz#1240004
- adapt to current guideline
- swith to maven build
- fix Url field
- fix BR list (run test suite)
- use BR mvn()-like
- use upstream source archive
- resolve some rpmlint problems
- install license file (reported to upstream bug#74)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Oct 25 2014 Cédric OLIVIER <cedric.olivier@free.fr> - 1.2.1.2-7
- Rename commons-codec requirement to apache-commons-codec

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.2.1.2-5
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.2-1
- Update to release 1.2.1.2

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 27 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-6
- Add require on commons-codec (bug 714777)

-* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-5
-- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-4
- Add fully dependency in javadoc subpackage

* Sun Jan 16 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-3
- Remove unnedded clean section
- Remove unneeded requires in javadoc section

* Sun Jan 16 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-2
- According to Java packaging guidelines version removed from jar file name 

* Sat Jan 15 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-1
- First release
